var assert = require('assert')
var fs = require('fs')
var path = require('path')

var gm = require('..')

var image = path.join(__dirname, 'taylor-swift.jpg')

describe('Identify', function () {
  describe('should identify with source: ', function () {
    it('filename', function (done) {
      gm(image).identify(done)
    })

    it('stream as argument', function (done) {
      gm(fs.createReadStream(image)).identify(done)
    })

    it('stream before exec', function (done) {
      fs.createReadStream(image).pipe(gm()).identify(done)
    })
  })

  // describe('Getters', function () {
  //   it('format', function (done) {
  //     gm(image).getFormat(function (err, format) {
  //       assert.ifError(err)
  //       assert.equal(format, 'JPEG')
  //       done()
  //     })
  //   })
  // })
})